Attach Security Groups to a Cluster
Attaches one or more security groups to the cluster's nodes. Send security_group_ids - a non-empty list of security group IDs (from Available Security Groups). Use the cluster service_id.
POST
/api/v1/kubernetes/attach-security-group/{service_id}/Path parameters
service_idPathintegerrequiredThe cluster
service_id, as returned by List.- required
- must be a valid cluster service ID
example12345
Query parameters
project_idQueryintegerrequiredIdentifier of the project to scope the request to. Required integer project ID.
- required
- must be a valid integer project ID
example{{project_id}}apikeyQuerystringrequiredAPI key used to authenticate the request.
- required
- non-empty string
example{{api_key}}locationQuerystringrequiredRegion of the cluster.
- required
- must be a valid region name (e.g., Delhi, Chennai)
example{{location}}
Request body
application/json
Security groups to attach to the cluster.
IDs of the security groups to attach (from Available Security Groups).
- required
- non-empty list of valid security group IDs
Responses
200Successful response
example
200example
Security Group Attached Successfully